[debian-lan-devel] [SCM] Debian-LAN development and packaging branch, master, updated. 585086bd39c108e7451fc509b71949f8d9ca3177

Andreas B. Mundt andi.mundt at web.de
Fri Apr 6 19:45:07 UTC 2012


The following commit has been merged in the master branch:
commit 585086bd39c108e7451fc509b71949f8d9ca3177
Author: Andreas B. Mundt <andi.mundt at web.de>
Date:   Fri Apr 6 20:42:10 2012 +0200

    Apply timezone and keyboard layout on diskless machines; fix.
    
    Copy instead of linking.  Cf.
      <URL:https://lists.uni-koeln.de/pipermail/linux-fai/2012-February/009503.html>
      <URL:http://bugs.debian.org/346342>

diff --git a/fai/config/scripts/DISKLESS_CLIENT/10-misc b/fai/config/scripts/DISKLESS_CLIENT/10-misc
index af59cef..ed30812 100755
--- a/fai/config/scripts/DISKLESS_CLIENT/10-misc
+++ b/fai/config/scripts/DISKLESS_CLIENT/10-misc
@@ -1,4 +1,17 @@
 #!/bin/bash
+#
+#  Compare with the corresponding FAIBASE script.
+#
+
+set -e
 
 fcopy -v /etc/resolv.conf
 fcopy -v /etc/hosts
+
+## timezone
+echo $TIMEZONE > $target/etc/timezone
+cp -f /usr/share/zoneinfo/${TIMEZONE} $target/etc/localtime
+
+# create keyboard layout table
+$ROOTCMD bash -c "echo 'console-data console-data/keymap/full select $KEYMAP' | debconf-set-selections"
+$ROOTCMD install-keymap $KEYMAP || true
diff --git a/fai/config/scripts/FAIBASE/10-misc b/fai/config/scripts/FAIBASE/10-misc
index 7b8c8f4..6434512 100755
--- a/fai/config/scripts/FAIBASE/10-misc
+++ b/fai/config/scripts/FAIBASE/10-misc
@@ -12,7 +12,7 @@ done
 
 fcopy /etc/hostname || echo $HOSTNAME     > $target/etc/hostname
 echo $TIMEZONE    > $target/etc/timezone
-ln -fs /usr/share/zoneinfo/${TIMEZONE} $target/etc/localtime
+cp -f /usr/share/zoneinfo/${TIMEZONE} $target/etc/localtime
 
 if [ -n "$IPADDR" ]; then
     ifclass DHCPC || ainsl -s $FAI_ROOT/etc/hosts "$IPADDR $HOSTNAME.$DOMAIN $HOSTNAME"

-- 
Debian-LAN development and packaging



More information about the debian-lan-devel mailing list